[arch-commits] Commit in libxxf86vm/repos (extra-i686 extra-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Jul 6 16:49:16 EDT 2008


    Date: Sunday, July 6, 2008 @ 16:49:15
  Author: jgc
Revision: 4409

Merged revisions 2-4408 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/libxxf86vm/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r4365 | jgc | 2008-07-06 19:27:41 +0000 (Sun, 06 Jul 2008) | 1 line
  
  upgpkg: libxxf86vm 1.0.2-1
........

Modified:
  libxxf86vm/repos/extra-i686/	(properties)
  libxxf86vm/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)


Property changes on: libxxf86vm/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /libxxf86vm/trunk:1
   + /libxxf86vm/trunk:1-4408

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-07-06 20:48:35 UTC (rev 4408)
+++ extra-i686/PKGBUILD	2008-07-06 20:49:15 UTC (rev 4409)
@@ -2,21 +2,23 @@
 #Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=libxxf86vm
-pkgver=1.0.1
+pkgver=1.0.2
 pkgrel=1
 pkgdesc="X11 XFree86 video mode extension library"
+arch=('x86_64' 'i686')
+license=('custom')
 url="http://xorg.freedesktop.org/"
-depends=(libxext xf86vidmodeproto)
-makedepends=(pkgconfig)
-options=(NOLIBTOOL)
+depends=('libxext' 'xf86vidmodeproto')
+makedepends=('pkgconfig')
+options=('!libtool')
 source=(${url}/releases/individual/lib/libXxf86vm-${pkgver}.tar.bz2)
-md5sums=(8de1ca6c55aaad7d8cae19b4f0b3da32)
+md5sums=('304d37bd0a10d9b58aa9b64469ad73e5')
 
 build() {
   cd ${startdir}/src/libXxf86vm-${pkgver}
-  ./configure --prefix=/usr \
-              --build=${CHOST} --host=${CHOST}
+  ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
+  install -d -m755 ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }
-





More information about the arch-commits mailing list